Module org.jfree.pdf
Package org.jfree.pdf

# Class PDFHints.Key

java.lang.Object
java.awt.RenderingHints.Key
org.jfree.pdf.PDFHints.Key

Enclosing class:
  `PDFHints`

public static class PDFHints.Key extends RenderingHints.Key
A key for hints used by the `PDFGraphics2D` class.

## Constructor Summary

Constructors
Constructor
Description
`Key(int privateKey)`
Creates a new instance with the specified key.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isCompatibleValue(Object val)`
Returns `true` if `val` is a value that is compatible with this key, and `false` otherwise.

### Methods inherited from class java.awt.RenderingHints.Key

`equals, hashCode, intKey`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Key

public Key(int privateKey)
Creates a new instance with the specified key.

Parameters:
  `privateKey` - the key.

## Method Details

### isCompatibleValue

public boolean isCompatibleValue(Object val)
Returns `true` if `val` is a value that is compatible with this key, and `false` otherwise.

Specified by:
  `isCompatibleValue` in class `RenderingHints.Key`
Parameters:
  `val` - the value.
Returns:
  A boolean.